Subject: bug#60418: [PATCH] Add :vc keyword to use-package

From: Robert Pluim <[email-masked]>
Date: Tue, 02 May 2023 15:59:19 +0200

>>>>> On Tue, 02 May 2023 21:18:22 +0800, Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:

    Ruijie> Philip Kaludercic <[email-masked]> writes:

    >> Tony Zorman <[email-masked]> writes:

    >>> +** use-package
    >>> +
    >>> ++++
    >>> +*** New ':vc' keyword.
    >>> +This keyword enables the user to control how packages are fetched by
    >>> +utilising 'package-vc.el'.  By default, it relays its arguments to

    Ruijie> If I'm not mistaken, don't we prefer quoting like `this' in Emacs?  (Or
    Ruijie> maybe NEWS has a different style to which I'm not familiar.)  If that is
    Ruijie> correct, then all quotings in the patch would need to be adjusted
    Ruijie> accordingly.

In docstrings we use `this', in NEWS we use 'that' (and in commit
messages, although I think thereʼs less consistency there).

Robert
--